Subject: RE: bug#10929: 24.0.94; `psetq' is autoloaded but not recognized in `emacs -Q'

From: "Drew Adams" <[email-masked]>
Date: Fri, 2 Mar 2012 09:06:35 -0800

> The autoloads for cl functions/macros are in
> cl-loaddefs.el.  When you load cl.el it loads
> cl-loaddefs.el autoloading additional names without
> loading the files immediately.

Yes, I know all that.  But thanks anyway - I probably wasn't clear enough.

My question really is, I guess, whether users should be able to get help about
such macros without first loading cl.el.

Autoloading has a couple different (but related) purposes.  One of them helps
Emacs be the self-documenting editor it claims to be.